Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.ilbm
Class DRNGColorCycle.Cell

    java.lang.Object
      org.monte.media.ilbm.DRNGColorCycle.Cell

All Implemented Interfaces:
  java.lang.Comparable<DRNGColorCycle.Cell>

Direct Known Subclasses:
  DRNGColorCycle.DColorCell, DRNGColorCycle.DIndexCell

Enclosing class:
  DRNGColorCycle

    public abstract static class DRNGColorCycle.Cell

extends java.lang.Object
implements java.lang.Comparable<DRNGColorCycle.Cell>

Field Summary
`protected int` | `cell`
`protected int` | `value`

Constructor Summary
`DRNGColorCycle.Cell(int cell)`

Method Summary
`int` | `compareTo(DRNGColorCycle.Cell that)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`abstract void` | `readValue(int[] rgbs, boolean isHalfbright)` Reads the initial value of the cell which is either taken from the rgb palette or from an rgb value stored by the cell.
`abstract void` | `writeValue(int[] rgbs, boolean isHalfbright)` Writes the final value of the cell into the color palette - or does nothing

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected int cell

### value

    protected int value

Constructor Detail

### DRNGColorCycle.Cell

    public DRNGColorCycle.Cell(int cell)

Method Detail

### readValue

    public abstract void readValue(int[] rgbs,
                                   boolean isHalfbright)

  Reads the initial value of the cell which is either taken from the rgb palette or from an rgb value stored by the cell.

  Parameters:
    `rgbs` - the palette.
    `isHalfbright` - whether the halfbright value shall be taken.

### writeValue

    public abstract void writeValue(int[] rgbs,
                                    boolean isHalfbright)

  Writes the final value of the cell into the color palette - or does nothing

### compareTo

    public int compareTo(DRNGColorCycle.Cell that)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<DRNGColorCycle.Cell>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD